#<profile4xi profile = "12" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "constant_system4xi.py">
#<abstract4xi abstract = "Provides the class ConstantSystem4Xi"/>
#<refer4xi reference = "connection.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------
#

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'constant_system4xi', 'ConstantSystem4Xi', 
            'init_all_system4xi' , 'set_all_system4xi' , 'get_all_system4xi' , 
            'get_one_constant_system4xi' , 
            'init_windows_system4xi' , 'get_windows_system4xi' , 'set_windows_system4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import errno
import io
import itertools
import os
import pickle
import select
import socket
import struct
import sys
import time
import tempfile
try:
    import _winapi
    from _winapi import WAIT_OBJECT_0, WAIT_TIMEOUT, INFINITE
except ImportError:
    if sys.platform == 'win32':
        raise
    _winapi = None      
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
from multiprocessing import connection
#"
#/>
     
# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global WINDOWS32_SYSTEM4XI
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
WINDOWS32_SYSTEM4XI = 'win32' 
#"
#"/>
                      

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from time4xi import time4xi


#"
#/>
# -------------------------------------------------------------------------------------------------
#<function4xi function = "constant-system4xi" usage = "
# defines constants for connections
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def constant_system4xi(param_constant_system4xi):
    '''
    constant_system4xi defines constants for connections

    '''
    global WINDOWS32_SYSTEM4XI
    
    class2print = 'constant_system4xi'
    method2print = 'constant_system4xi'                
    
    message2print = "{started" + "; constant-system4xi-started: " + str(constant_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; param-constant-system4xi-passed-to-constant-system4xi: " + str(param_constant_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
                  
    if param_constant_system4xi == 1:
        message2print = "{returning" + "; windows32-system4xi-returning-by-get-windowsconstant-system4xi: " + str(WINDOWS32_SYSTEM4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
        
                   
        
        return WINDOWS32_SYSTEM4XI

    message2print = "{returning" + "; false-returning-by-get-windowsconstant-system4xi: False" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)  
        
      
    return False        
#</function4xi> 

 
#1#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-windows-system4xi" usage = "
# initializes WINDOWS32_SYSTEM4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_windows_system4xi(param_init_windows_system4xi='win32'):          
    '''
    init_windows_system4xi initializes WINDOWS32_SYSTEM4XI
    '''
    global WINDOWS32_SYSTEM4XI

    class2print = 'init_windows_system4xi'
    method2print = 'init_windows_system4xi'

   
    message2print = "{started" + "; init-windows-system4xi-started: " + str(init_windows_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; param-init-windows-system4xi-passed-to-init-windows-system4xi: " + str(param_init_windows_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
  

    WINDOWS32_SYSTEM4XI = param_init_windows_system4xi
     
    message2print = "{initialized" + "; windows32-system4xI-initialized-by-init-windows-system4xi to: " + str(WINDOWS32_SYSTEM4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        
        
    message2print = "{returning" + "; init-windows-system4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)  
        
#</function4xi> 

         
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-windows-system4xi" usage = "
# sets WINDOWS32_SYSTEM4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_windows_system4xi(param_set_windows_system4xi='win32'):          
    '''
    set_windows_system4xi sets WINDOWS32_SYSTEM4XI
    '''
    global WINDOWS32_SYSTEM4XI
 

    class2print = 'set_windows_system4xi'
    method2print = 'set_windows_system4xi'
    
    
    message2print = "{started" + "; set-windows-system4xi-started: " + str(set_windows_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; param-set-windows-system4xi-passed-to-set-windows-system4xi: " + str(param_set_windows_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
      
    WINDOWS32_SYSTEM4XI = param_set_windows_system4xi
    
    message2print = "{set" + "; windows32-system4xi-set-by-set-windows-system4xi to: " + str(WINDOWS32_SYSTEM4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        

    # { init_windows_system4xi : init_windows_system4xi ; initialized WINDOWS32_SYSTEM4XI to: win32}        

    message2print = "{returning" + "; set-windows-system4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)  
#</function4xi> 

         
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-windows-system4xi" usage = "
# gets WINDOWS32_SYSTEM4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_windows_system4xi():          
    '''
    get_windows_system4xi gets WINDOWS32_SYSTEM4XI
    '''
    global WINDOWS32_SYSTEM4XI
  
 
    class2print = 'get_windows_system4xi'
    method2print = 'get_windows_system4xi'

    message2print = "{started" + "; get-windows-system4xi-started: " + str(get_windows_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        

    init_windows_system4xi('win32')
 

    message2print = "{returning" + "; windows32-system4xi-returning-by-get-windows-system4xi: " + str(WINDOWS32_SYSTEM4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)               
        
    # { get_windows_system4xi : get_windows_system4xi ; returning WINDOWS32_SYSTEM4XI: win32}
    
            
    return WINDOWS32_SYSTEM4XI
#</function4xi> 

     
#All#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-all-system4xi" usage = "
# initializes all system constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_all_system4xi(param_init_all_system4xi='win32'):          
    '''
    init_all_system4xi initializes all system constants
    '''

    class2print = 'init_all_system4xi'
    method2print = 'init_all_system4xi'
    
    message2print = "{started" + "; init-all-system4xi-started: " + str(init_all_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; param-init-all-system4xi-passed-to-init-all-system4xi: " + str(param_init_all_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
 
        
    message2print = "{passing" + "; param-init-all-system4xi-passing-to-init-windows-system4xi-by-init-all-system4xi: " + str(param_init_all_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
         
    init_windows_system4xi(param_init_all_system4xi)
    
    message2print = "{returning" + "; init-all-system4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)  
#</function4xi> 

              
       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-all-system4xi" usage = "
# sets all system constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_all_system4xi(param_set_all_system4xi='win32'):          
    '''
    set_all_system4xi sets all system constants
    '''
 
    class2print = 'set_all_system4xi'
    method2print = 'set_all_system4xi'
    
    message2print = "{started" + "; set-all-system4xi-started: " + str(set_all_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; param-set-all-system4xi-passed-to-set-all-system4xi: " + str(param_set_all_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
        
    message2print = "{passing" + "; param-set-all-system4xi-passing-to-set-windows-system4xi-by-set-all-system4xi: " + str(param_set_all_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    set_windows_system4xi(param_set_all_system4xi)


    message2print = "{returning" + "; set-all-system4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)  
          
#</function4xi> 

           
        
        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-all-system4xi" usage = "
# gets all system constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_all_system4xi():          
    '''
    get_all_constant_system4xi gets all system constants
    '''
    # ---------------------------------------------------------------------------------------------
    # could return True after loading an OWL/XML file into memory 
    # ---------------------------------------------------------------------------------------------    
 
    class2print = 'get_all_system4xi'
    method2print = 'get_all_system4xi'
    
    message2print = "{started" + "; get-all-system4xi-started: " + str(get_all_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
   
    for i in range(0,2):
        print("constant_system4xi(", i, ") = ", constant_system4xi(i))

    message2print = "{returning" + "; true-returning-by-get-all-system4xi: True" + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)
                
            
    return True
#</function4xi> 

 
#ONE#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-one-constant-system4xi" usage = "
# gets one synchronize constant
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_one_constant_system4xi(param_get_one_constant_system4xi=1):          
    '''
    get_one_constant_system4xi gets one synchronize constant
    '''
 
    class2print = 'get_one_constant_system4xi'
    method2print = 'get_one_constant_system4xi'
    
    message2print = "{started" + "; get-one-constant-system4xi-started: " + str(get_one_constant_system4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
        
    message2print = "{passed" + "; param-get-one-constant-system4xi-passed-to-get-one-constant-system4xi: " + str(param_get_one_constant_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
  
    if param_get_one_constant_system4xi <= 0 or param_get_one_constant_system4xi > 1:
        param_get_one_constant_system4xi = 1    
    
    message2print = "{passing" + "; param-get-one-constant-system4xi-passing-to-constant-system4xi-by-get-one-constant-system4xi: " + str(param_get_one_constant_system4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    message2print = "{returning" + "; constant-system4xi-function-returning-by-get-one-constant-system4xi: " + str(constant_system4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
        
                
    return constant_system4xi(param_get_one_constant_system4xi)                  
#</function4xi> 

 
# =================================================================================================
# ConstantSystem4Xi class
#<class4xi class = "ConstantSystem4Xi" base = "object" child = "None" synopsis = "offers services for process constants" usage = "defining system constants"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class ConstantSystem4Xi(object): #<-- inherits from object class
    '''
    ConstantSystem4Xi offers services for process constants
    '''            
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = ('init_all', 'set_all', 'get_all',
                 'get_one',     
                 'init_windows', 'set_windows', 'get_windows',                                                                           
                 'sense', 'reason', 'ace')          
    #"
    #/>
                                     
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init" usage = "initializes system constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def __init__(self):
        '''
        _init__ method initializes system constants
        '''       

        class2print = 'ConstantSystem4Xi'
        method2print = '__init__'
        
        message2print = "{started" + "; init-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
               
        message2print = "{borning" + "; constantsystem2xi-of-ConstantSystem4Xi-borning: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           

        message2print = "{inheriting" + "; object-inheriting-by-constantsystem2xi-of-ConstantSystem4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
     
        
        init_all_system4xi()        
        
        message2print = "{activated" + "; constantsystem2xi-of-ConstantSystem4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  

        message2print = "{inherited" + "; object-inherited-by-constantsystem2xi-of-ConstantSystem4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
     
        
        message2print = "{returning" + "; init-of-ConstantSystem4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
        
    #</methodize4xi>
       
        
       
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-all-of-ConstantSystem4Xi" usage = "initializes system constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def init_all(self):
        '''
        init_all method initializes system constants
        '''       

        class2print = 'ConstantSystem4Xi'
        method2print = 'init_all'
        
        message2print = "{started" + "; init-all-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
             

        init_all_system4xi()   
        
        message2print = "{returning" + "; init-all-of-ConstantSystem4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
        
    #</methodize4xi>
    
                   
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-all-of-ConstantSystem4Xi" usage = "sets all system constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def set_all(self):
        '''
        set_all method sets all system constants
        '''       

        class2print = 'ConstantSystem4Xi'
        method2print = 'set_all'
        
    
        message2print = "{started" + "; set-all-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
          

        set_all_system4xi()             

        message2print = "{returning" + "; set-all-of-ConstantSystem4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
    #</methodize4xi>
             
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-all-of-ConstantSystem4Xi" usage = "gets all system constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_all(self):
        '''
        get_all method gets all system constants
        '''       

        class2print = 'ConstantSystem4Xi'
        method2print = 'get_all'
    
        message2print = "{started" + "; get-all-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
                

        message2print = "{returning" + "; get-all-system4xi-function-returning-by-get-all-of-ConstantSystem4Xi: " + str(get_all_system4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
    
                   
        return get_all_system4xi() #prints and returns True   
    #</methodize4xi>
    
    #One
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-one-of-ConstantSystem4Xi" usage = "gets all system constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_one(self, param_get_one=4):
        '''
        get_one method gets all system constants
        '''       

        class2print = 'ConstantSystem4Xi'
        method2print = 'get_one'
    
        message2print = "{started" + "; get-one-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
                 
        message2print = "{passed" + "; param-get-one-passing-to-get-one-system4xi-of-ConstantSystem4Xi: " + str(param_get_one) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
 

        message2print = "{returning" + "; get-one-system4xi-function-returning-by-get-one-of-ConstantSystem4Xi: " + str(get_one_system4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
    
     
        return get_one_system4xi(param_get_one) 
    #</methodize4xi>
            
    #1#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-windows-of-ConstantSystem4Xi" usage = "initializes WINDOWS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_windows(self, param_init_windows='win32'):          
        '''
        init_windows initializes WINDOWS4XI
        '''

        class2print = 'ConstantSystem4Xi'
        method2print = 'init_windows'
    
    
        message2print = "{started" + "; init-windows-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
  
        message2print = "{passing" + "; param-init-windows-passing-to-init-windows-system4xi-by-init-windows-of-ConstantSystem4Xi: " + str(param_init_windows) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
  
        init_windows_system4xi(param_init_windows)
        
        message2print = "{returning" + "; init-windows-of-ConstantSystem4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
    #</methodize4xi>
            
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-windows-of-ConstantSystem4Xi" usage = "sets WINDOWS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_windows(self, param_set_windows='win32'):          
        '''
        set_windows sets WINDOWS4XI
        '''

        class2print = 'ConstantSystem4Xi'
        method2print = 'set_windows'
        
    
        message2print = "{started" + "; set-windows-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
  
        message2print = "{passing" + "; param-set-windows-passing-to-set-windows-system4xi-by-set-windows-of-ConstantSystem4Xi: " + str(param_set_windows) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        
        set_windows_system4xi(param_set_windows)
        
        message2print = "{returning" + "; set-windows-of-ConstantSystem4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-windows-of-ConstantSystem4Xi" usage = "gets WINDOWS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_windows(self):          
        '''
        get_windows gets WINDOWS4XI
        '''
        class2print = 'ConstantSystem4Xi'
        method2print = 'get_windows'

    
        message2print = "{started" + "; get-windows-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
         
        message2print = "{returning" + "; get-windows_system4xi-function-returning-by-get-windows-of-ConstantSystem4Xi: " + str(get_windows_system4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
                 
        return get_windows_system4xi()        
    #</methodize4xi>
                                           
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-ConstantSystem4Xi" usage = "senses ConstantSystem4Xi class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        method sense: senses ConstantSystem4Xi class objects
        '''
          
        
        class2print = 'ConstantSystem4Xi'
        method2print = 'sense'
        
    
        message2print = "{started" + "; sense-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        
        message2print = "{sensing" + "; constantsystem4xi-sensing-by-sense-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                  
                
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-ConstantSystem4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)

        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['inheritance-of-constantsystem2xi'] = object
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-ConstantSystem4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
           
            
        message2print = "{sensed" + "; constantsystem4xi-sensed-by-sense-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
     
                
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ConstantSystem4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-ConstantSystem4Xi" usage = "reasons ConstantSystem4Xi class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons ConstantSystem4Xi class objects
        '''
                 
        
        class2print = 'ConstantSystem4Xi'
        method2print = 'reason'

            
        message2print = "{started" + "; reason-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
         
        message2print = "{reasoning" + "; constantsystem4xi-reasoning-by-reason-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
                  
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-ConstantSystem4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)

        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        message2print = "{reasoned" + "; constantsystem4xi-reasoned-by-reason-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ConstantSystem4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-ConstantSystem4Xi" usage = "aces ConstantSystem4Xi class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces ConstantSystem4Xi class objects 
        '''
               
        
        
        class2print = 'ConstantSystem4Xi'
        method2print = 'ace'
        
    
        message2print = "{started" + "; ace-of-ConstantSystem4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        
        message2print = "{acing" + "; constantsystem4xi-acing-by-ace-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                      

        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-ConstantSystem4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)



        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              

        
        
        message2print = "{aced" + "; constantsystem4xi-aced-by-ace-of-ConstantSystem4Xi: " + str(ConstantSystem4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
             
    
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ConstantSystem4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)             
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
#</class4xi>
#</program4xi>


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_constant_system4xi.txt
#   sense-test-constant-system4xi.xml
#   reason-test-constant-system4xi.xml
#   ace-test-constant-system4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    


#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of constant_system4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
